FreeMat

- Main Page
- Related Pages

vtkGLSLShaderDeviceAdapter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkShaderDeviceAdapter subclass for GLSL. .SECTION Thanks Support for generic vertex attributes in VTK was contributed in collaboration with Stephane Ploix at EDF.

To create an instance of class vtkGLSLShaderDeviceAdapter, simply invoke its constructor as follows

      obj = vtkGLSLShaderDeviceAdapter

# Methods

The class vtkGLSLShaderDeviceAdapter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGLSLShaderDeviceAdapter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGLSLShaderDeviceAdapter = obj.NewInstance ()`
- `vtkGLSLShaderDeviceAdapter = obj.SafeDownCast (vtkObject o)`
- `obj.PrepareForRender ()`